﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CNetSilverlightTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            InitializeChart();
        }

        private MyLegend myLegend;

        private void InitializeChart()
        {
            myLegend = new MyLegend(tChart1.Chart);
            tChart1.Legend.Visible = false;
            tChart1.Panel.MarginRight = 20;

            for (int i = 0; i < 4; i++)
            {
                new Steema.TeeChart.Silverlight.Styles.Bar(tChart1.Chart);
                tChart1[i].FillSampleValues();
            }

            tChart1.AfterDraw+=new Steema.TeeChart.Silverlight.PaintChartEventHandler(tChart1_AfterDraw);
        }

        void tChart1_AfterDraw(object sender, Steema.TeeChart.Silverlight.Drawing.Graphics3D g)
        {
            myLegend.Draw(g, Steema.TeeChart.Silverlight.Utils.FromLTRB(575, 100, 625, 250));
        }

        public class MyLegend : Steema.TeeChart.Silverlight.Drawing.TeeBase
        {
            public MyLegend() : this((Steema.TeeChart.Silverlight.Chart)null) { }
            public MyLegend(Steema.TeeChart.Silverlight.Chart c) : base(c) { }

            public void Draw(Steema.TeeChart.Silverlight.Drawing.Graphics3D g, Rect r)
            {
                g.Pen.Color = Colors.Green;
                g.Brush.Color = Colors.Red;
                g.Rectangle(r);
                g.Font.Bold = true;
                for (int i = 0; i < base.Chart.Series.Count; i++)
                {
                    g.TextOut(r.X, r.Y + g.FontHeight*i, base.Chart[i].Title);    
                }
            }
        }
    }
}
